import MonitorSpec from "./MonitorSpec";
import BigNumber from "bignumber.js";
export default class Monitor<T> {
    private ws;
    private readonly url;
    private spec;
    private state;
    constructor(url: string, spec: MonitorSpec, ondata: (data: T) => void, onerror: (error: any) => void, onprogress?: (height: BigNumber) => void);
    close(): void;
}
